import xml.dom.minidom

class CustomCommandStore:

   def __init__(self, commands):
      self.storeServerCommands(commands)

   def storeServerCommands(self, commands):
      curNode = commands.getElementsByTagName('play')[0]
      self.play = curNode.childNodes[0].data
      curNode = commands.getElementsByTagName('pause')[0]
      self.pause = curNode.childNodes[0].data
      curNode = commands.getElementsByTagName('resume')[0]
      self.resume = curNode.childNodes[0].data
      curNode = commands.getElementsByTagName('skip-fwd')[0]
      self.skipfwd = curNode.childNodes[0].data
      curNode = commands.getElementsByTagName('skip-bwd')[0]
      self.skipbwd = curNode.childNodes[0].data
      curNode = commands.getElementsByTagName('vol-up')[0]
      self.volup = curNode.childNodes[0].data
      curNode = commands.getElementsByTagName('vol-down')[0]
      self.voldown = curNode.childNodes[0].data
      curNode = commands.getElementsByTagName('exit')[0]
      self.exit = curNode.childNodes[0].data

   def getPlay(self):
      return self.play

   def getPause(self):
      return self.pause

   def getResume(self):
      return self.resume

   def getSkipFwd(self):
      return self.skipfwd

   def getSkipBwd(self):
      return self.skipbwd

   def getVolUp(self):
      return self.volup

   def getVolDown(self):
      return self.voldown

   def getExit(self):
      return self.exit

