import gtk

def initAnyConnView(viewName, builder, funct):
   view = builder.get_object(viewName)
   view.get_selection().connect('changed', funct, None)
   appendColumn(view, 'Host', 0)
   appendColumn(view, 'Port', 1)

def appendColumn(treeview, text, index):
   column = gtk.TreeViewColumn(text)
   coltext = gtk.CellRendererText()
   column.pack_start(coltext, True)
   column.add_attribute(coltext, 'text', index)
   treeview.append_column(column)

def populateAnyConnView(conns, storeName, builder):
   connStore = builder.get_object(storeName)
   connStore.clear()
   for conn in conns:
      connStore.append([conn[0], conn[1]])
